# Interface TypeMapper

public interface TypeMapper
Determines how JDBC types are mapped to java types.

Since:
  2 Feb 2010
Author:
  Mark Taylor
See Also:
  - `TypeMappers`

## Method Summary

Modifier and Type
Method
Description
`ValueHandler`
`createValueHandler(ResultSetMetaData meta, int jcol1)`
Constructs a ValueHandler suitable for converting the data from a column in a given ResultSet.
`List<ValueInfo>`
`getColumnAuxDataInfos()`
Returns an ordered list of `ValueInfo` objects representing the auxilliary metadata returned by the ColumnInfo objects used by this mapper's ValueHandlers.

## Method Details

### createValueHandler

ValueHandler createValueHandler(ResultSetMetaData meta, int jcol1) throws SQLException
Constructs a ValueHandler suitable for converting the data from a column in a given ResultSet.

Parameters:
  `meta` - result set metadata
  `jcol1` - JDBC column index (first column is 1)
Throws:
  `SQLException`

### getColumnAuxDataInfos

List<ValueInfo> getColumnAuxDataInfos()
Returns an ordered list of `ValueInfo` objects representing the auxilliary metadata returned by the ColumnInfo objects used by this mapper's ValueHandlers. An empty array may be returned if not known.

Returns:
  an unmodifiable ordered set of known metadata keys
See Also:
  - `StarTable.getColumnAuxDataInfos()`